Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-2096

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-2096
Last Modified 15 Aug 2012 12:00:00
Published 14 Aug 2012 05:55:01
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-2096

Summary

The Fivestar module 6.x-1.x before 6.x-1.20 for Drupal does not properly validate voting data, which allows remote attackers to manipulate voting averages via a negative value in the vote parameter.

Vulnerable Systems

Application

  • Lullabot Fivestar Module For Drupal 6.x-1.20

  • Lullabot Fivestar Module For Drupal 6.x-1.x


References

BID - 52984

MLIST - [oss-security] 20120411 Re: CVE Request for Drupal Contributed Advisories on 2012-04-11

MLIST - [oss-security] 20120411 CVE Request for Drupal Contributed Advisories on 2012-04-11

SECUNIA - 48788

CONFIRM - http://drupalcode.org/project/fivestar.git/commitdiff/75dba2c

MISC - http://drupal.org/node/1528614

CONFIRM - http://drupal.org/node/1528600


Last Updated: 27 May 2016 10:49:39